## grub-gfxboot 0.97

=== debian/changelog ===
grub-gfxboot (0.97-48) unstable; urgency=low

  * use the default automake version.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 Dec 2009 18:48:06 +0100

grub-gfxboot (0.97-47) unstable; urgency=low

  * drop watch file, grub(-legacy) has been abandoned upstream and there will
    be no new upstream versions anymore - subsequently uscan starts to report
    grub2 releases.
  * fix spelling errors withion binaries.
  * switch to Debian source format 3.0 (quilt).
  * refresh patches.
  * rebuild with gcc-4.4.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 Dec 2009 18:41:31 +0100

grub-gfxboot (0.97-46) unstable; urgency=low

  * sync with Debian svn r1521 (grub 0.97-58):
    [ Felix Zielcke ]
    - Remove the /sbin/grub-install wrapper.
    - Remove the /sbin/grub-install and update-grub wrappers.
    - Build depend on lib32ncurses5-dev on amd64. (Closes: #423273)
    - remove sbin/ from grub-legacy.dirs
  * bump compat level to 7.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 06 Sep 2009 21:31:30 +0200

grub-gfxboot (0.97-45) unstable; urgency=low

  * refer to GPL-2 license text explicitly to make lintian happy, furthermore
    grub is licensed under the GPL-2+.
  * add Homepage tag for debian/control.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 19 Aug 2009 01:14:05 +0200

grub-gfxboot (0.97-44) unstable; urgency=low

  * sync with Debian svn r1420 (grub 0.97-56):
    [ Robert Millan ]
    - Remove GNU/kFreeBSD support, since it can't be used without an external
      loader that is not in Debian.  GNU/kFreeBSD users should upgrade to
      GRUB 2.
    [ Felix Zielcke ]
    - patches/xfs_freeze.diff: Fix "/usr/sbin/grub-install: line 374: [:
      =: unary operator expected". (Closes: #513216)
  * bump standards version to 3.8.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 19 Aug 2009 01:03:44 +0200

grub-gfxboot (0.97-43) unstable; urgency=low

  * provide and conflict with the newly renamed grub-legacy package in Debian,
    this takes care of Debian svn r1333 (grub 0.97-54).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 19 Jul 2009 16:46:24 +0200

grub-gfxboot (0.97-42) unstable; urgency=low

  * sync with Debian svn r1212 (grub 0.97-53):
    [ Robert Millan ]
    - update my email address.
    - upload to unstable.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 28 May 2009 00:59:53 +0200

grub-gfxboot (0.97-41) unstable; urgency=low

  * fetch ext4_fix_variable_sized_inodes by Colin Watson <cjwatson@ubuntu.com>
    from Ubuntu: Add support for ext4 variable sized inodes (LP: #345488). 
    This is backwardly compatible with ext2 ext3 fixed sized inodes.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 24 May 2009 18:53:42 +0200

grub-gfxboot (0.97-40) unstable; urgency=low

  * switch from dh_clean -k to dh_prep, to become compliant with debhelper 7
    and to make lintian happy.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 27 Jan 2009 17:22:19 +0100

grub-gfxboot (0.97-39) unstable; urgency=low

  * sync with Debian svn r1153:
    [ Robert Millan ]
    - patches/xfs_freeze.diff: Replace with a new patch, which thaws XFS 
      immediately after freezing it.  (Closes: #239111, #243835, #246111, 
      #309218, #425367) hopefully for good this time.  Thanks everyone who 
      sent their feedback, too many to list them here.
  * refresh series.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 17 Jan 2009 00:24:23 +0100

grub-gfxboot (0.97-38) unstable; urgency=low

  * update gfxmenu patches from SuSE grub 0.97-156.13:
    [ Steffen Winterfeldt <snwint@suse.de> ]
    - gfxmenu: increase usable mem size to 8MB

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 12 Jan 2009 23:10:24 +0100

grub-gfxboot (0.97-37) unstable; urgency=low

  * drop obsolete support-ext4-extents patch.
  * add ext4_support patch from Colin King and Ubuntu, written by Quentin 
    Godfroy <godfroy@clipper.ens.fr>.
  * refresh patch series.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 12 Jan 2009 22:49:44 +0100

grub-gfxboot (0.97-36) unstable; urgency=low

  * make lintian happy and depend on ${misc:Depends}.
  * sync with Debian svn r1124:
    [ Robert Millan ]
    - update-grub: Do not attempt to detect CONFIG_PARAVIRT Xen images.
      Thanks Raphaël Hertzog et al.  (Closes: #500336)

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 08 Dec 2008 22:36:53 +0100

grub-gfxboot (0.97-35) unstable; urgency=low

  * drop the conflict with lilo, while this conflict and the arguments taken 
    below are essentially still true, currently does more harm (by dereffering
    installing grub/ removing lilo) than good (the device.map changes are 
    needed for quite some users upgrading from pre-libata setups for the first
    time since update-grub relies on grub-common).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 04 Nov 2008 01:44:44 +0100

grub-gfxboot (0.97-34) unstable; urgency=low

  * conflict with lilo until the next regular maintainer upload, this is a 
    pity, but required due to the following reasons:
    - unconfigured lilo installations are dangerous on upgrades, #504376.
    - it is broken in combination with a default initramfs-tools setup, 
      #479607.
    - grub does not allow bootloader coexistance on the system.
    - lilo is unlikely to be part of squeeze, cf.
      http://lists.debian.org/debian-devel/2008/06/msg00400.html
  * sync with Debian svn r1109:
    [ Robert Millan ]
    - update-grub: Try to regenerate device.map when grub-probe fails (and
      inform the user about it).  Thanks Raphaël Hertzog.  (Closes: #501306).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 04 Nov 2008 01:03:36 +0100

grub-gfxboot (0.97-33) unstable; urgency=low

  * fix bug files.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 14 Sep 2008 00:03:03 +0200

grub-gfxboot (0.97-32) unstable; urgency=low

  * sync with Debian svn r1067 (0.97-51).
  * add changes from 0.97-47:
    [ Robert Millan ]

